%define name 	playmidi
%define version 2.5
%define release %mkrel 9

Summary:	A MIDI sound file player
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/playmidi/
License: 	GPL
Group: 		Sound
Patch0: 	%{name}-2.3-hertz.patch
Patch1: 	%{name}-2.3-awe2.patch
Patch2:		playmidi-2.4-lib64.patch
Patch3: 	%{name}-2.4-midimap.patch
Patch4:		playmidi-2.4-CAN-2005-0020.patch
Patch5:		%{name}-2.5-fix-str-fmt.patch
Patch6:		%{name}-2.5-fix-overlinking.patch
BuildRequires:	ncurses-devel XFree86-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%package X11
Summary:	An X Window System based MIDI sound file player
Requires: 	%{name} = %{version}
Group: 		Sound

%description
Playmidi plays MIDI (Musicial Instrument Digital Interface) sound
files through a sound card synthesizer.  This package includes basic
drum samples for use with simple FM synthesizers.

Install playmidi if you want to play MIDI files using your computer's
sound card.

%description X11
Playmidi-X11 provides an X Window System interface for playing MIDI
(Musical Instrument Digital Interface) sound files through a sound
card synthesizer.  This package includes basic drum samples for use
with simple FM synthesizers.

Install playmidi-X11 if you want to use an X interface to play MIDI
sound files using your computer's sound card.

%prep
%setup -q -n %{name}-2.4
%patch0 -p1 -b .consthertz
%patch1 -p1 -b .awe2
%patch2 -p1 -b .lib64
%patch3 -p1 -b .midimap
%patch4 -p1 -b .can-2005-0020
%patch5 -p1 -b .strfmt
%patch6 -p1 -b .overlinking


%build
./Configure << EOF
2
EOF

PATH=.:$PATH

%{__make} CFLAGS="$RPM_OPT_FLAGS" LIB="%{_lib}" %{name}
%{__make} CFLAGS="$RPM_OPT_FLAGS" LIB="%{_lib}" x%{name}

%install
rm -rf $RPM_BUILD_ROOT

install -s -m 755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -s -m 755 x%{name} -D $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/x%{name}
install -m 644 XPlaymidi.ad -D $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/app-defaults/XPlaymidi

install -m 644 %{name}.1 -D $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/midi
for n in std.o3 drums.o3 std.sb drums.sb
do
	install -m 644 $n -D $RPM_BUILD_ROOT%{_sysconfdir}/midi/$n
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc QuickStart COPYING BUGS
%{_bindir}/%{name}
%dir %{_sysconfdir}/midi
%config(noreplace) %{_sysconfdir}/midi/std.o3
%config(noreplace) %{_sysconfdir}/midi/std.sb
%config(noreplace) %{_sysconfdir}/midi/drums.o3
%config(noreplace) %{_sysconfdir}/midi/drums.sb
%{_mandir}/man1/%{name}.1*

%files X11
%defattr(-,root,root)
%doc QuickStart COPYING BUGS
%{_prefix}/X11R6/%{_lib}/X11/app-defaults/XPlaymidi
%{_prefix}/X11R6/bin/x%{name}

%changelog
* Wed Jan 06 2010 johnnyblack <johnnyblack at inbox.com> 2.5.8-2pclos2010
- rebuild for xaw7

* Sun Oct 11 2009 Texstar <texstar at gmail.com> 2.5.8-1pclos2010
- update and rebuild

* Mon Nov 06 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 2.5-7pclos2007
- Build for PCLinuxOS 2007

